import { select, timeParse, timeFormat, csv } from 'd3';
import { scatterPoints } from './scatterPoints';
const svg = select('svg');
const width = +svg.attr('width');
const height = +svg.attr('height');
const parseDate = timeParse("%d/%m/%Y");
const formatDate = timeFormat("%b %d");
const margin = { top: 20, right:40, bottom:111, left: 150 };

const render = (data) => {
  scatterPoints(svg, {
    data,
    xValue : d => d.Date,
    yValue : d => d.Depth,
  	margin: { top: 20, right:40, bottom:90, left: 150 },
    title : 'Depth over time',
    xAxisLabel : 'Date',
    yAxisLabel : 'Depth',
    circleRadius: 10,
    innerWidth : width - margin.left - margin.right,
    innerHeight : height - margin.top - margin.bottom,
    parseDate : timeParse("%d/%m/%Y"),
    formatDate : timeFormat("%b %d")
  }
	)};


csv('https://vizhub.com/careyshan/datasets/borehole_dummydata1.csv')
  .then(data => {
    data.forEach(d => {
      d.Depth = +d.Depth;
      d.Date = parseDate(d.Date);
  })
  render(data);
});
